Subject: Offline Message from Rawan: Hello I have orders number 700244155 and I pay fo
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 09 Jul 2020 12:19:00 -0000

From: Rawan <[email-masked]>
Phone: 
Location: Kuwait City, Kuwait
URL: https://www.mumzworld.com/en/sales/order/view/order_id/1576782/
Department: 

Hello I have orders number 700244155 and I pay for shipping but when my order arrive to my home th dhl told me I have to pay for shipping 5 kd  and i pay because I want my order whay I pay again Im very angry from that 

----
Zopim
https://www.zopim.com